--- old/usr/src/lib/libm/common/complex/casinl.c	2019-06-06 20:39:36.548732487 +0000
+++ new/usr/src/lib/libm/common/complex/casinl.c	2019-06-06 20:39:36.567909696 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -29,35 +30,32 @@
 
 #pragma weak __casinl = casinl
 
-#include "libm.h"		/* asinl/atanl/fabsl/isinfl/log1pl/logl/sqrtl */
+#include "libm.h"	/* asinl/atanl/fabsl/isinfl/log1pl/logl/sqrtl */
 #include "complex_wrapper.h"
 #include "longdouble.h"
 
-/* INDENT OFF */
-static const long double
-zero = 0.0L,
-one = 1.0L,
-Acrossover = 1.5L,
-Bcrossover = 0.6417L,
-half = 0.5L,
-ln2 = 6.931471805599453094172321214581765680755e-0001L,
-Foursqrtu = 7.3344154702193886624856495681939326638255e-2466L,	/* 2**-8189 */
+/* BEGIN CSTYLED */
+static const long double zero = 0.0L,
+	one = 1.0L,
+	Acrossover = 1.5L,
+	Bcrossover = 0.6417L,
+	half = 0.5L,
+	ln2 = 6.931471805599453094172321214581765680755e-0001L,
+	Foursqrtu = 7.3344154702193886624856495681939326638255e-2466L,	/* 2**-8189 */
 #if defined(__x86)
-E = 5.4210108624275221700372640043497085571289e-20L,	/* 2**-64 */
-pi_4 = 0.7853981633974483095739921312272713294078130L,
-pi_4_l = 4.1668714592604391641479322342670193036704898e-20L,
-pi_2 = 1.5707963267948966191479842624545426588156260L,
-pi_2_l = 8.3337429185208783282958644685340386073409796e-20L;
-
+	E = 5.4210108624275221700372640043497085571289e-20L,	/* 2**-64 */
+	pi_4 = 0.7853981633974483095739921312272713294078130L,
+	pi_4_l = 4.1668714592604391641479322342670193036704898e-20L,
+	pi_2 = 1.5707963267948966191479842624545426588156260L,
+	pi_2_l = 8.3337429185208783282958644685340386073409796e-20L;
 #else
-E = 9.6296497219361792652798897129246365926905e-35L,	/* 2**-113 */
-pi_4 = 0.7853981633974483096156608458198756993697670L,
-pi_4_l = 2.1679525325309452561992610065108379921905808e-35L,
-pi_2 = 1.5707963267948966192313216916397513987395340L,
-pi_2_l = 4.3359050650618905123985220130216759843811616e-35L;
-
+	E = 9.6296497219361792652798897129246365926905e-35L,	/* 2**-113 */
+	pi_4 = 0.7853981633974483096156608458198756993697670L,
+	pi_4_l = 2.1679525325309452561992610065108379921905808e-35L,
+	pi_2 = 1.5707963267948966192313216916397513987395340L,
+	pi_2_l = 4.3359050650618905123985220130216759843811616e-35L;
 #endif
-/* INDENT ON */
+/* END CSTYLED */
 
 #if defined(__x86)
 static const int ip1 = 0x40400000;	/* 2**65 */
@@ -66,7 +64,8 @@
 #endif
 
 ldcomplex
-casinl(ldcomplex z) {
+casinl(ldcomplex z)
+{
 	long double x, y, t, R, S, A, Am1, B, y2, xm1, xp1, Apx;
 	int ix, iy, hx, hy;
 	ldcomplex ans;
@@ -83,38 +82,42 @@
 	/* special cases */
 
 	/* x is inf or NaN */
-	if (ix >= 0x7fff0000) {	/* x is inf or NaN */
+	if (ix >= 0x7fff0000) {		/* x is inf or NaN */
 		if (isinfl(x)) {	/* x is INF */
 			LD_IM(ans) = x;
+
 			if (iy >= 0x7fff0000) {
 				if (isinfl(y))
 					/* casin(inf + i inf) = pi/4 + i inf */
 					LD_RE(ans) = pi_4 + pi_4_l;
 				else	/* casin(inf + i NaN) = NaN + i inf */
 					LD_RE(ans) = y + y;
-			} else	/* casin(inf + iy) = pi/2 + i inf */
+			} else { /* casin(inf + iy) = pi/2 + i inf */
 				LD_RE(ans) = pi_2 + pi_2_l;
+			}
 		} else {		/* x is NaN */
 			if (iy >= 0x7fff0000) {
-				/* INDENT OFF */
+
 				/*
 				 * casin(NaN + i inf) = NaN  + i inf
 				 * casin(NaN + i NaN) = NaN  + i NaN
 				 */
-				/* INDENT ON */
 				LD_IM(ans) = y + y;
 				LD_RE(ans) = x + x;
 			} else {
-				/* INDENT OFF */
-				/* casin(NaN + i y ) = NaN  + i NaN */
-				/* INDENT ON */
+				/*
+				 * casin(NaN + i y ) = NaN  + i NaN
+				 */
 				LD_IM(ans) = LD_RE(ans) = x + y;
 			}
 		}
+
 		if (hx < 0)
 			LD_RE(ans) = -LD_RE(ans);
+
 		if (hy < 0)
 			LD_IM(ans) = -LD_IM(ans);
+
 		return (ans);
 	}
 
@@ -122,55 +125,61 @@
 	if (x == zero && y == zero)
 		return (z);
 
-	if (iy >= 0x7fff0000) {	/* y is inf or NaN */
+	if (iy >= 0x7fff0000) {		/* y is inf or NaN */
 		if (isinfl(y)) {	/* casin(x + i inf) = 0 + i inf */
 			LD_IM(ans) = y;
 			LD_RE(ans) = zero;
 		} else {		/* casin(x + i NaN) = NaN + i NaN */
 			LD_IM(ans) = x + y;
+
 			if (x == zero)
 				LD_RE(ans) = x;
 			else
 				LD_RE(ans) = y;
 		}
+
 		if (hx < 0)
 			LD_RE(ans) = -LD_RE(ans);
+
 		if (hy < 0)
 			LD_IM(ans) = -LD_IM(ans);
+
 		return (ans);
 	}
 
-	if (y == zero) {	/* region 1: y=0 */
+	if (y == zero) {		/* region 1: y=0 */
 		if (ix < 0x3fff0000) {	/* |x| < 1 */
 			LD_RE(ans) = asinl(x);
 			LD_IM(ans) = zero;
 		} else {
 			LD_RE(ans) = pi_2 + pi_2_l;
-			if (ix >= ip1)	/* |x| >= i386 ? 2**65 : 2**114 */
+
+			if (ix >= ip1) { /* |x| >= i386 ? 2**65 : 2**114 */
 				LD_IM(ans) = ln2 + logl(x);
-			else if (ix >= 0x3fff8000)	/* x > Acrossover */
+			} else if (ix >= 0x3fff8000) {	/* x > Acrossover */
 				LD_IM(ans) = logl(x + sqrtl((x - one) * (x +
-					one)));
-			else {
+				    one)));
+			} else {
 				xm1 = x - one;
 				LD_IM(ans) = log1pl(xm1 + sqrtl(xm1 * (x +
-					one)));
+				    one)));
 			}
 		}
 	} else if (y <= E * fabsl(x - one)) {	/* region 2: y < tiny*|x-1| */
-		if (ix < 0x3fff0000) {	/* x < 1 */
+		if (ix < 0x3fff0000) {		/* x < 1 */
 			LD_RE(ans) = asinl(x);
 			LD_IM(ans) = y / sqrtl((one + x) * (one - x));
 		} else {
 			LD_RE(ans) = pi_2 + pi_2_l;
-			if (ix >= ip1)	/* i386 ? 2**65 : 2**114 */
+
+			if (ix >= ip1) /* i386 ? 2**65 : 2**114 */
 				LD_IM(ans) = ln2 + logl(x);
 			else if (ix >= 0x3fff8000)	/* x > Acrossover */
 				LD_IM(ans) = logl(x + sqrtl((x - one) * (x +
-					one)));
+				    one)));
 			else
 				LD_IM(ans) = log1pl((x - one) + sqrtl((x -
-					one) * (x + one)));
+				    one) * (x + one)));
 		}
 	} else if (y < Foursqrtu) {	/* region 3 */
 		t = sqrtl(y);
@@ -188,11 +197,12 @@
 		/* region 6: x is very small, < 4sqrt(min) */
 		A = sqrtl(one + y * y);
 		LD_RE(ans) = x / A;	/* may underflow */
+
 		if (iy >= 0x3fff8000)	/* if y > Acrossover */
 			LD_IM(ans) = logl(y + A);
 		else
 			LD_IM(ans) = half * log1pl((y + y) * (y + A));
-	} else {	/* safe region */
+	} else {			/* safe region */
 		y2 = y * y;
 		xp1 = x + one;
 		xm1 = x - one;
@@ -200,23 +210,27 @@
 		S = sqrtl(xm1 * xm1 + y2);
 		A = half * (R + S);
 		B = x / A;
-		if (B <= Bcrossover)
+
+		if (B <= Bcrossover) {
 			LD_RE(ans) = asinl(B);
-		else {		/* use atan and an accurate approx to a-x */
+		} else {	/* use atan and an accurate approx to a-x */
 			Apx = A + x;
+
 			if (x <= one)
 				LD_RE(ans) = atanl(x / sqrtl(half * Apx * (y2 /
-					(R + xp1) + (S - xm1))));
+				    (R + xp1) + (S - xm1))));
 			else
 				LD_RE(ans) = atanl(x / (y * sqrtl(half * (Apx /
-					(R + xp1) + Apx / (S + xm1)))));
+				    (R + xp1) + Apx / (S + xm1)))));
 		}
+
 		if (A <= Acrossover) {
 			/* use log1p and an accurate approx to A-1 */
 			if (x < one)
 				Am1 = half * (y2 / (R + xp1) + y2 / (S - xm1));
 			else
 				Am1 = half * (y2 / (R + xp1) + (S + xm1));
+
 			LD_IM(ans) = log1pl(Am1 + sqrtl(Am1 * (A + one)));
 		} else {
 			LD_IM(ans) = logl(A + sqrtl(A * A - one));
@@ -225,6 +239,7 @@
 
 	if (hx < 0)
 		LD_RE(ans) = -LD_RE(ans);
+
 	if (hy < 0)
 		LD_IM(ans) = -LD_IM(ans);
 